Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Member Functions | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase Class Reference

Abstract criterion visitor implementation, providing field filters condition for criteria that require it (Field, CustomField, FullText, MapLocationDistance). More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase:

## Protected Member Functions
| getFieldFilter (array $languageFilter)
| Returns filter condition for the given $languageFilter. More...
| getTodoFieldFilter (array $languageFilter)
| TODO: should really work something like this, but also needs update to the UrlAliasService etc. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| getQueryRange ($operator, $start, $end)
| Get Elasticsearch range query. More...
| getFilterRange ($operator, $start, $end)
| Get Elasticsearch range filter. More...
| prepareValue ($value)
| Converts given $value to the appropriate Elasticsearch representation. More...

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| canVisit (Criterion $criterion)
| Check if visitor is applicable to current criterion. More...
| visitFilter (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch filter representation. More...
| visitQuery (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch query representation. More...

## Detailed Description

Abstract criterion visitor implementation, providing field filters condition for criteria that require it (Field, CustomField, FullText, MapLocationDistance).

Definition at line 15 of file FieldFilterBase.php.

## Member Function Documentation

## ◆ getFieldFilter()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase::getFieldFilter | ( | array | $languageFilter | ) |
| protected

Returns filter condition for the given $languageFilter.

Filter is to be used by both query and filter visiting, as it should not impact scoring. Null will be returned if nothing is found to be filtered.

Parameters

  array | $languageFilter |

Returns
  array|null

Definition at line 27 of file FieldFilterBase.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\CustomField\CustomFieldIn\visitFilter(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\CustomField\CustomFieldRange\visitFilter(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\FieldIn\visitFilter(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\FieldRange\visitFilter(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\MapLocationDistanceRange\visitFilter(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText\visitFilter(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\CustomField\visitQuery(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\FieldIn\visitQuery(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\FieldRange\visitQuery(), eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\MapLocationDistanceRange\visitQuery(), and eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText\visitQuery().

## ◆ getTodoFieldFilter()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase::getTodoFieldFilter | ( | array | $languageFilter | ) |
| protected

TODO: should really work something like this, but also needs update to the UrlAliasService etc.

Parameters

  array | $languageFilter |

Returns
  array|null

Definition at line 72 of file FieldFilterBase.php.

The documentation for this class was generated from the following file:

- FieldFilterBase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.